User:Tim1357/Bot settings.css

==GENERAL SETTINGS== ;run_dashbot_angry :This setting makes DASHBot ignore its own 1RR. ;size_alter :This code is executed after the bot has assesed the score

==GENERAL SETTINGS==
 
;run_dashbot_angry
:This setting makes DASHBot ignore its own 1RR.
;size_alter
:This code is executed after the bot has assesed the score of an edit.
<source lang=python>
 
run_dashbot_angry=False
size_alter="""
 #######
quit()
#######
if '<BAD WORD IN TITLE' in ''.join(lenmatched): score = 200

if self.msg['comment'].startswith( u'[[WP:AES|\u2190]]Replaced content with') and creator(self.msg['title'])!=self.msg['user']:
  score -= 10
  lenmatched.append('<Replaced content with someting esle, as acording to edit summary.>')
#########
if self.msg['comment'].startswith( u'[[WP:AES|\u2190]]Blanked the page') and creator(self.msg['title'])!=self.msg['user']:

  score -= 10
  lenmatched.append('<Blanked the page, as acording to edit summary.>')
#######
#######
#######
if renderedsize >800: scorelimit =-9999

if (renderedsize) <150:scorelimit = -3

if (renderedsize) <50:scorelimit = -2
#####

#######
#The Below excludes edits where the user has edited the page 5 times in a row.
#######
if score >= scorelimit and top_edits_to_page(self.msg['user'],self.msg['title'])>4:scorelimit =-9999
#######
#######
#######


"""
</source>

==The List==
===Instructions===
Hi. The following regexes are what DASHbot uses to score edits. All regexes must follow this syntax, starting from a new line:<code>regex;;score;;(g|v)</code>
:"g" of course is for good edit regexps.
:"v" is for bad edit regexps.
'''NOTE''':
:*All regexes are put into the context <code>[ \@\º\ª\·\#\~\$\<\>\/\(\)\'\-\_\:\;\,\.\r\n\?\!\¡\¿\"\=\[\]\|\{\}\+\&]<REGEX>[ \@\º\ª\·\#\~\$\<\>\/\(\)\'\-\_\:\;\,\.\r\n\?\!\¡\¿\"\=\[\]\|\{\}\+\&]</code>
:*For each match to a case-insensitive regex (those that start with <code>(?i)</code>) are reduced an extra point if they are in all CAPS.
===Good Edit Regexes===
<pre>
(?i)\[\[(The )?Fuck;;5;;g;;
\'\'\'?.+?\'\'\'?;;1;;g;; #italic/bold text
(?i)lyrics;;5;;g;;'
(?i)illegitimate;;1;;g;;
(?i)gay (and|or) lesbian;;33;;g;;
(?i)(gay|lesbian) (rights?|pride|mar+iaged?);;4;;g;;
\n[^\n]0?[0123456]\:[123456]\d\n;;10;;g;;
(?i)1987.{1,3}What The Fuck Is Going On;;10;;g;;#album
(?i)recognition of gay;;10;;g;;# see [[Recognition of gay unions in Andorra]]
(?i)national (gay|lesbian);;10;;g;;# see [[National Lesbian and Gay Law Association]]
(?i)singapore gay;;10;;g;;# see [[Singapore Gay Theatre]]
(?i)international (gay|lesbian);;10;;g;;# see [[International Gay Association]]
(?i)the gay;;10;;g;;#see [[The Gay & Lesbian Review Worldwide]]
(?i)william gay;;10;;g;;#see [[William Gay]]
(?i)\[\[ *category *\:;;5;;g;;#categories are very good
(?i)\{\{ *defaultsort *\:;;5;;g;;#{{defaultsort:}}
(?i)&lt;references */;;5;;g;;#<references/>
(?i)\{\{ *reflist *[\|\}];;5;;g;;#{{reflist}} template is good
(?i)(19|20)\d\d;;2;;g;;#current years are good
(?i)\"[^\"]*?I (l(o|u)ve?|h(ate|8)|li[ek]+|want)[^\"]*?\";;3;;g;;# false positive fix
(?i)\([^\(\)]+?\);;1;;g;;#brackets are good
(?i)cite *web;;1;;g;;#cite web templates are good
(?i)\"[^\"]+?\";;2;;g;; #quotes are good
(?i)homosexual lifestyle;;2;;g;;
(?i)\://;;1;;g;; #html-links are good (ftp:// http:// https://
(?i)\[\[ *[a-z]{2,3}(\-[a-z]{2,3})? *\:;;2;;g;; #interwiki
(?i)&lt;\s?ref;;2;;g;; #ref tags are good, < symbol in HTML TAG <ref> <ref name=
(?i)(\[\[[^\]]+?\]\]|\{\{[^\}]+?\}\});;2;;g;;#transclusions and wikilinks are good
</pre>

===Bad Edit Regexps===
<pre>
(?i)soo+;;-1;;v;;
(?i)([s\$]?he|y[o0]u) ([i\!1]s|[\@a4]re) [s\$]+u+c+h+ [\@an]+;;-1;;v;;
(?i).*?asdf.*?;;-2;;v;; #common jibberish
(?i)\!\!\!;;-1;;v;;#shout (!!! is a band)
(?!)p+u+t+[\@a4]+;;-2;;v;;
(?i)t+w+[4a@]+t+[s\$\z]*;;-2;;v;;
8==+>;;-2;;v;;
(?i)m+[i\!1]+[l1]f+;;-1;;v;;
(?i)b+u+tt+[\s-]*m+u+n+c+h+(e+r+|[\@a4]+)?;;-10;;v;;
(?i)([\@a4] |h[i\!1][z\$s] |the ) w[\@a4]ng[zs\$]?;;-1;;v;; # a wang, his wang, the wang, becareful http://en.wikipedia.org/w/index.php?title=2010_Capital_One_World_Men%27s_Curling_Championship&diff=354028937&oldid=354028912
(?i)[a-z]{40,};;-1;;v;;#Very few words are 30 characters long, see http://en.wikipedia.org/w/index.php?diff=351034757&oldid=349834028
(?i)([\@a4]+s{2,}|[s\$]+h+[i\!1]+t+|c+r+[\@a4]+p|b+u+(tt+|m+)|d+[i\!1]+c*k+)[\s\-]?h+[o0]+w*l+e+[\$zs]+;;-2;;v;; #assholes, asshowles, buthowles, bumholllesss ect
(?i)((a|\@)[s\$]{2,}|b+u+(tt+|m+))[-\s]*(r+[\@a4]+p+([i\!1]+[s\$]+t+|e+(d+|r+|[i\!1]+n+g+|[\$sz]+)?)|c+r+[\@a4]+c*k+[\$sz]*|l+[i\!1]+c*k+e+r+[sz]*|f+u+[ck]+(e*d+|e*r*[s\$]+|[i\!1]+n+g+)?|[s\$]+e+x+|m+u+n+[ch]+e+r);;-10;;v;; # will revert without exception (assrape, bumrape, asscrack, butttcrack, asslicker ect)
(?i)[\@a4][s\$]{2,}(e[\$sz])?;;-2;;v;; #ass, ect (needs to be spaced to avoid assessment and such)
(?i)[\@a4]+w+e+[s\$]+[o0]+m+e+[zs\$]*;;-1;;v;; #awesome, aawwweesssommmee, awesomez, ect
(?i)(b+[\@a4]+l{2,}|n+u+t+)[\s\-]?[s\$]+[\@a4]+c+k+(e+d+|[\$sz]+|[i\!1]+n+g+)?;;-3;;v;; #ballsack ect
(?i)b+[\@a4]+[s\$]+t+([\@a4]|u)+r+d+[s\$z]*;;-2;;v;; #bastard, basturd, bastardz, bbbassstarrrd, ect
(?i)b+[i\!1]+t+c+h+(e+[sz\$]+)?;;-2;;v;; #bitch, bitches, bittttcchhhess, ect
(?i)bl[\@a4]h;;-1;;v;;
(?i)(h[\@a4]nd|r[i\!1]m|bl[o0]w?)[\s-]?job[\$sz]?;;-2;;v;;
(?i)b+[o0]{2,}g+e+r+[sz\$]*;;-1;;v;; #boogers
(?i)b+[o0]+n+e+r+[zs\$]*;;-1;;v;;
(?i)(b+u+ll+|d+[o0]+g+|c+[o0]+w+|d+u+m+b+)?[\-]?[s\$]+([^a-z\s]?)h+\2?[i\!1]+\2?t+\2?((t+\2?)e+\2?(d|r)+\2?|[s\$]+\2?|z+\2?|t*\2?(y+|(i|y)+(\2?e+\2?[s\$]+\2?t+|l+\2?y+|e+\2?r+))\2?)?;;-3;;v;; #shit, shhhiiiit, [s\$]*h*i*t*, buuullllshhhiiiittt, shittiest, but NOT hi's hit. ect
(?i)(?<!head )(?<!head)b+u+tt+[sz\$]*';;-1;;v;;
(?i)c+h+[o0]+d+e+[\$sz]*;;-2;;v;;
(?i)c+u+m+(?!\-)e*d*;;-1;;v;; #cum or cummed or cummmmmmmeeeedd, but not cum- because that could be cum-lade ect
(?i)c+u+n+t+[zs\$]*;;-2;;v;;
(?i)d+[\@a4]+m+n+e*d*;;-1;;v;;
THE BE[s\$]T;;-3;;v;;
(?i)is (the man|a beast);;-3;;v
(?i)[ck]+([^a-z]?)([o0]+\1?c+\1?|[\@a4]+\1?w+\1?c*\1?)k+\1?[zs\$]*\1?;;-2;;v;; #, cock, kawk, ect.
(?i)d+([^a-z]?)[i\!1]+\1?c*\1?k+\1?(e*\1?([\$sz]|d)+\1?|[i\!1]+\1?n+\1?g+\1?);;-1;;v;; #dick dicked, d*i*k*z
(?i)(d+[i\!1]+c*k+|c+[o0]+c+k+|p+e+n+[i\!1]+[\$s5]+)[\-\s]?[s\$]+u+c*k+e+r+([\$sz]+|[i\!1]+n+g+|e*d+)?;;-20;;v;; #dick-sucker, ect.
(?i)d+u+d+e+[\$sz]*;;-2;;v;;
(?i)d+u+m+(b*(|ies|y)+|b+);;-1;;v;; #dumy dumby, ect
(?i)(e+[\@a4]+t+|l+[i\!1]+c*k+|b+[i\!1]+t+e+|[s\$]+u+c*k+) m+(e|y)+;;-2;;v;; #that's not nice (bite me/my)
(?i)f+([^a-z]?)[\@a4]+\1?g+\1?(g+\1)?(([o0]|[i\!1])+\1?t+\1?)?[zs\$]*\1?;;-2;;v;; #fags, faggots, f.a.g.g.o.t, ect
(?i)(p+h+|f+)([^a-z]?)u+\2?(c+\2?k+|k+\1?c*)\2? *\2?((y+\2?[o0]+\2?)?u+\2?|u+\2?[s\$]+\2?|h+\2?(e+\2?r+\2?|[i\!1]+\2?m+\2?)|t+\2?h+\2?(e+\2?m+|[i\!1]+\2?[s\$]+|[\@a4]+\2?t+\2?)\2?|m+\2?e+\2?|[o0]+\2?f\2?f+\2?);;-3;;v;; #personal attack( fuck you, fukc me, f.u.c.k. us, fuk this, ect)
(?i)(p+h+|f+)([^a-z]?)u+\2?(c+\2?k+|k+\2?c*)\2?(e+\2?r+\2?[\$sz]*\2?|[s\$]+\2?|(i|e)+\2?n+\2?(g+\2?)?|e+\2?d+\2?)?;;-2;;v;; #fuck, f*u*c*k, fukc, fukin, fuk, ect
(?i)(p+h+|f+)[a\@]+r+t+([\$sz]+|(e|[i\!1])+d+)?;;-2;;v;; #farts, fartid, fartz
(?i)ff+uuuu+;;-1;;v;; #wierd internet joke 'ffffuuuuuuu'
(?i)g+([^a-z]?)[\@a4]+\1?y+\1?(e+\1?(r+\1?|[s\$]+\1?t+\1?)|[\$zs]+\1?)?;;-1;;v;; #gay, gayz, ggggaaaayyyy, g*a*y*, ect
(?i)g+[o0]+ \w+ (y+[o0]+)u+r+[s\$]+e+l+(f+|v+e+[\$sz]+);;-2;;v;; # go (blank) yourself/yourselves/urself ect.
(?i)[mubaw]*?h+([aeo])+h* ?h+\1+h* ?h+\1+h* ?;;-2;;v;;#e.g. 'hahaha', hohoho, hehehe, heh heh heh, hah hah hah, ect
(?i)I (l([o0]|u)ve?|h(ate|8)|li[ek]+|want);;-1;;v;; #I like/love/want/hate is never good in an article
(?i)[i\!1]+ l+[i\!1]+k+e+[\$sz]* p+[i\!1]+e+;;-5;;v;;
(?i)[i\!1]+d+[i\!1]+[o0]+t+([i\!1]+c+|[sz\$]+)?;;-1;;v;;
(?i)(?<!what )in (t[he]+|d[\@a4]) ([\@a4]+[\$s]{2,}|p+[o0]{2,}p+e+r+|b+u+t{2,}|b+u+m+)([\-\s]?w*h+[o0]+w*l+e*)?;;-4;;v;; #'in the ass' is never good for anywhere
(?i)[s\$]?he (i|wa)s t[he]+ (u+g+l+[i\!1]+|h+[o0]+t+|m+e+[\@a4]+n+|d+u+m+b+|c+r+[\@a4]+p+[i\!1]+|g+[\@a4]+y+|n+[i\!1]+c+|c+[o0]{2,}l+|f+u+nn+[iy]+)e+[s\$]+t+;;-2;;v;; # keep adding adjectives please, eg he is the coolest, she is teh meanest, ect
(?i)l+([^a-z]?)[o0]\1?[o0]+\1?[s\$]+\1?e+\1?r+\1?[sz]*\1?;;-1;;v;; #looser, looooooser, l*o*o*[s\$]*e*r, ect
(?i)l+[\@a4]+m+e+;;-1;;v;;
(?i)(l+[i\!1]+c+k+|l+[i\!1]+e+k+|l+[i\!1]+k+e+|l+[o0]+v+e+)[sz]* *(p+e+n+[i\!1]+[s\$]+e*|c+[o0]+c+k+|d+[i\!1]+c*k+)[sz]*;;-10;;v;; #never good: (blank) like penis, (blank) loves cock, ect.
(?i)l([o0]|[\@a4]w|u)l([zs\$]|ed|l?ing)?;;-2;;v;;#e.g. 'lol' or 'lawled' and lolling
(?i)m+[i\!1]+e+r+d+[\@a4]+[s\$]*;;-2;;v;; #spanish for shit
(?i)n+([^a-z]?)[i\!1]+\1?g\1?g+\1?(e+\1?r+\1?|a+\1?)[sz]*\1?;;-2;;v;; #no thank you (niggers, niggggaz, n.i.g.g.e.r.z, ect)
(?i)n([o0]{2,}|ew)b([sz]|ed)?;;-2;;v;; #noobs, newbs, noobed, ect
O+H+ +[s\$]+H+[i\!1]+\-;;-1;;v;; #internet joke i guess
(?i)[o0]+m+f*g+;;-1;;v;; #omg, ect
(?i)p+([^a-z]?)[e3]+\1?([\@a4]+\1?n+\1?u+\1?|n+\1?[i1]+\1?)[5s]+\1?(e+\1?[s\$]+\1?)?;;-1;;v;; #penis, peanus, p3n1s, p.e.n.i.s.e.s ect
(?i)pimp(ed|s)?;;-1;;v;;
(?i)p+[i\!1]+[s\$]{2,}([i\!1]+n+g|[\s-]?(e+d+([\s\-]?[o0]+f{2,})?));;-1;;v;;
(?i)p+[o0]*w+n+([3e]*d*|a*g*e*)?;;-1;;v;; #pwned, p0wned, pwn3ed, ect
(?i)p+[o0]{2,}p*(e+d+|e+r+|[sz\$]+)?;;-5;;v;; #poop, poos, pooper
(?i)p+r+e+g+([o0]+|e+r+[\$sz]+);;-1;;v;; #pregerz, prego
(?i)pube[s\$]?;;-1;;v;; #pube or pubes
(?i)p+u+[s\$]{2,}(i|y)+e*[zs]*;;-2;;v;; #pussy, pussies
(?i)p+u+t+[ao\@]+[\$sz]*;;-2;;v;; #spanish for slut
(?i)r+[\@a4]+p+(e|i)+(d+|[s\$]+t*|[i\!1]+n+g+)?;;-1;;v;; #rape
(?i)r+e+t+[\@a4]+r+d+([zs\$]*|e*d*);;-1;;v;; #retard, reeeetard, retarded, ect
(?i)(rotf)?lmf?(h|[\@a4])[o0];;-2;;v;; #rotflmfao, lmao, lmfao, ect
(?i)[s\$]+([^a-z]?)e+\1?x+\1?(e+\1?d+\1?|y+\1?|i*\1?e+\1?(s|r)+\1?(t\1?)?)?(?! and the city);;-1;;v;;#sexy, sex, sexed, sexiest, s.e.x, seeeexx, ect
(?i)[s\$]+([^a-z]?)u+\1?c+\1?k+\1?(?! up)(e+\1?d+\1?|[i\!1]+\1?n+\1?g\1?|[s\$]+\1?|z+\1?)(?! up);;-2;;v;; #suck, sucked, sucks, [s\$]*u*c*k*s, ect.
(?i)[s\$](c?h)l[o0]ngs?;;-2;;v;; #schlong
(?i)[s\$]+h+u+t+( ?(t+h+e+|d+a+) \w+)? ?u+p+;;-1;;v;; #shut up, shutup, shut the (blank) up, ect.
(?i)[s\$]+l+u+t+[sz\$]*;;-3;;v;; # ssslllluuut, slut, sluts, ect
(?i)[s\$]+t+f+u+;;-1;;v;;
(?i)[s\$]tiff(y|ie)[\$sz]?;;-1;;v;; #stiffy, stiffies, ect
(?i)[s\$]+t+[i\!1]+n+k+(i*e*[s\$]+|y+);;-1;;v;; #stinks/stinky/stinkies/ssttiinnkkiiees/ect
(?i)[s\$]+t+(u|[o0])+p+[i\!1]+d+;;-1;;v;;
(?i)[s\$]+u+c*k+([sz]+|[i\!1]+n+g+|e*d+)?[\s\-]?(d+[i\!1]+c*k+|c+[o0]+c+k+|p+e+n+[i\!1]+s(e+s)?)[sz]*;;-20;;v;; #same as above, tramposed
(?i)t+h+[\@a4]+t\'*[s\$] w+(h+[\@a4]+|u+)t+ [s\$]*h+e+ [s\$]+[\@a4]+[i\!1]+d+;;-2;;v;; #thats what she said
(?i)(t+[i\!1]+t+|b+[o0]{2,}b+)([i\!1]+e+[s\$]+|y+|[sz]+)?;;-1;;v;; #titties, boobies, tits, boobs
(?i)t+u+r+d+[sz\$]*;;-1;;v;; #turds, turdz, turd, ect
(?i)v+([^a-z]?)[\@a4]+\1?g+\1?[i\!1]+\1?n+\1?a+\1?[sz]*\1?;;-1;;v;;
(?i)\w+ i[sz\$] (c|k)+(e+w+|[o0]{2,})l+;;-1;;v;; #(blank) is cool/kewl/ect
(?i)w+[\@a4]+n+a+b+e+[sz\$]*;;-1;;v;; #wannabes, wannabe
(?i)w+[\@a4]+[\$sz]+ h+e+r+e+;;-1;;v;;
(?i)w+(e+[i\!1]+|[i\!1]+e+)+n+e+r+[sz\$];;-1;;v;; #wieners
(?i)wh[\@a4](t\'?[sz\$]?|[zs])\s?u+p+;;-1;;v;; #what's up?
(?i)w+h+[o0]+r+e+([s\$z]+|d+|[i\!1]+n+g+)?;;-2;;v;;
(?i)w+[i\!1]+e+r+d+[o0]*[\$sz]*;;-1;;v;; # I cant think of a time when this would be appropriate.
(?i)(?<!how I met )((y+[o0]+)?u+r+|y+([o0]|a)+) m+([o0]+(t+h+e+r+|[o0]+m+(y+)?)|a+m+[\@a4]+)[s\$]*;;-3;;v;; #your mom, yo mamma, ur mother, ect
(?i)((y+[o0]+)?u+|[s\$]*h+e+|w+e+( [\@a4]+l+l+)?|t+h+(e+y+|[i\!1]+[s\$]+|[\@a4]+t+)|[i\!1]+) [s\$]+u+c+k+[s\$z]*;;-5;;v;; #personalattack (you suck, she sucks, he sucks, I suck)
</pre>

Content Disclaimer

Informasi ini disarikan dari Wikipedia dan disajikan kembali untuk tujuan edukasi. Konten tersedia di bawah lisensi CC BY-SA 3.0. Kami tidak bertanggung jawab atas ketidakakuratan data yang bersumber dari kontribusi publik tersebut.

  1. The information displayed on this website is sourced in part or in whole from Wikipedia and has been adapted for the purpose of restating it. We strive to provide accurate and relevant information, however:
  2. There is no guarantee of absolute accuracy. Wikipedia is an open, collaborative project that can be edited by anyone, so information is subject to change.
  3. It is not intended to constitute professional advice. The content displayed is for informational and educational purposes only. For important decisions (e.g., medical, legal, or financial), please consult a professional.
  4. Content copyright. Wikipedia is licensed under the Creative Commons Attribution-ShareAlike License (CC BY-SA). This means that content may be reused with appropriate attribution and shared under a similar license.
  5. Responsible use. Any risk arising from the use of information from this website is entirely the responsibility of the user.